Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor
Class HelperFactory

    java.lang.Object
      com.sun.mdm.index.survivor.HelperFactory

public class HelperFactory
extends java.lang.Object

Factory methods to create a SurvivorHelper

Constructor Summary
`protected` | `HelperFactory()` disabled, use factory method

Method Summary
`static AbstractSurvivorHelper` | `createSurvivorHelper()` creates the helper object specified in the survivor calculator configuration module
`static AbstractSurvivorHelper` | `createSurvivorHelper(java.lang.String className, SurvivorHelperConfig config)` creates a helper instance using the given class name and a SurvivorHelperConfig object containing all the needed configuration and initialization information needed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelperFactory

    protected HelperFactory()

  disabled, use factory method

Method Detail

### createSurvivorHelper

    public static AbstractSurvivorHelper createSurvivorHelper()
                                                       throws HelperCreationException

  creates the helper object specified in the survivor calculator configuration module

  Returns:
    a helper object
  Throws:
    `HelperCreationException` - failed to create

### createSurvivorHelper

    public static AbstractSurvivorHelper createSurvivorHelper(java.lang.String className,
                                                              SurvivorHelperConfig config)
                                                       throws HelperCreationException

  creates a helper instance using the given class name and a SurvivorHelperConfig object containing all the needed configuration and initialization information needed

  Parameters:
    `className` - helper class name
    `config` - configuration object
  Returns:
    a helper instance
  Throws:
    `HelperCreationException` - error creating helper

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.